### Method

# ECal ComponentPeriod copy

since: 3.34

#### Declaration [src]

    ECalComponentPeriod*
    e_cal_component_period_copy (
      const ECalComponentPeriod* period
    )

#### Description

No description available.

Available since: 3.34

#### Return value

Type: `ECalComponentPeriod`

A newly allocated `ECalComponentPeriod`, copy of `period`. The returned structure should be freed with e_cal_component_period_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.